Last Comment Bug 770288 - Mozilla emails being marked as scam
: Mozilla emails being marked as scam
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 12:14 PDT by Winston Bowden
Modified: 2012-07-19 11:40 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Winston Bowden 2012-07-02 12:14:36 PDT
Hi, 

John O’Duinn pointed out that Thunder Bird is marking our Mozilla emails spam.  These communications are coming from a third party vendor – ExactTarget.  We use Exact Target for all marketing communication to community and more than 7 million Firefox & You subscribers.

Can you explain why these emails might be marked as a scam?  There is a tracking pixel being used here.  I imagine that might have something to do with it.  Here’s the header info from the email.  I’ve also included the html.  

Please let me know if there’s additional information that would be helpful.

**** HEADER INFO ****

Return-Path: bounce-2775_HTML-27847667-88854-1065730-0@bounce.e.mozilla.org Received: from zmmta2.mail.corp.phx1.mozilla.com (LHLO  zmmta2.mail.corp.phx1.mozilla.com) (10.20.77.30) by  zmmbox4.mail.corp.phx1.mozilla.com with LMTP; Mon, 2 Jul 2012 11:34:13  -0700 (PDT) Received: from psmtp.com (zlb1.mail.corp.phx1.mozilla.com [10.20.77.200]) 	by zmmta2.mail.corp.phx1.mozilla.com (Postfix) with ESMTPS id 6F305102A03 	for <wbowden@mozilla.com>; Mon,  2 Jul 2012 11:34:13 -0700 (PDT) Received: from mta.e.mozilla.org ([68.232.195.97]) by exprod5mx211.postini.com ([64.18.4.10]) with SMTP; 	Mon, 02 Jul 2012 12:34:13 MDT DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; s=200608; d=e.mozilla.org;  h=From:To:Subject:Date:List-Unsubscribe:MIME-Version:Reply-To:Message-ID:Content-Type; i=Mozilla@e.mozilla.org;  bh=E/gp8fm+FcyT7doaSkiiNvYD7dk=;  b=GZXhEyJvzIoDigoXFoNlqRVvT7fPEtKBgrMWx9BYMmlInFrHtiNLqCUsKVhzmCaAQ5CUDQfnZDN5    +SL3lnXN40u4d1U8MfDL8tGXnGAfZ5FzNl3tRzfuFEfhvFd6XdH6tNSzAAkUl0vyHEKJARthV/rB    7nL7ky91etmBnXViV6E= DomainKey-Signature: a=rsa-sha1; c=nofws; q=dns; s=200608; d=e.mozilla.org;  b=BBlcRfIKhBVxyT44gMcx3X2vcCewpeLuwD2RdNHKTHvTlnpNiIwoy4hSZPriDoqO165sQtsp+exa    i72hbHa6gWIpbZupMdw+6NrrWkohc+DlmjRMysDMXIcusW/Ul6GTxpe075LTuxWeQviQb93v0vEX    Hz80cQM7OcJkybdTp1w=; Received: by mta.e.mozilla.org (PowerMTA(TM) v3.5r16) id hu7ko20ie1s7 for <wbowden@mozilla.com>; Mon, 2 Jul 2012 12:33:05 -0600 (envelope-from <bounce-2775_HTML-27847667-88854-1065730-0@bounce.e.mozilla.org>) From: "Mozilla" <Mozilla@e.mozilla.org> To: <wbowden@mozilla.com> Subject: Mozilla Gains Global Support For a Firefox Mobile OS Date: Mon, 02 Jul 2012 12:33:40 -0600 List-Unsubscribe: <mailto:leave-fd16167772616b2531492c-fe5016777d60037b7313-feee1c787d6100-fe9915707361037e75-ffcf14@leave.e.mozilla.org> MIME-Version: 1.0 Reply-To: "Mozilla" <reply-feee1c787d6100-2775_HTML-27847667-1065730-0@e.mozilla.org> x-job: 1065730_88854 Message-ID: <079d6caf-d3f7-4b8a-8779-483e4b160ced@xtnvmta1203.xt.local> Content-Type: multipart/alternative; 	boundary="QI9GnBJAHGUK=_?:" X-pstn-neptune: 0/0/0.00/0 X-pstn-levels:     (S: 0.01376/97.17264 CV:99.9000 FC:95.5390 LC:95.5390 R:95.9108 P:95.9108 M:97.0282 C:98.6951 ) X-pstn-dkim: 1 skipped:not-enabled X-pstn-cm-addresses: from <Mozilla@e.mozilla.org> (approved) X-pstn-settings: 5 (2.0000:2.0000) s cv gt3 gt2 gt1 r p m c  X-pstn-addresses: from <Mozilla@e.mozilla.org> forward (org good) [353/13]   This is a multi-part message in MIME format.  --QI9GnBJAHGUK=_?: Content-Type: text/plain; 	charset="us-ascii" Content-Transfer-Encoding: 7bit

**** HTML ****

<html>  <head>  </head><body>     <table width="100%" cellspacing="0" cellpadding="0" border="0" align="center">    <tbody>     <tr>      <td valign="top" bgcolor="#ffffff" style="font-size: 10px; line-height: 1.25;">      <table width="600" cellspacing="0" cellpadding="0" border="0" align="center">        <tbody>        <tr>         <td style="font-size: 10px; line-height: 1.25;">         <table width="600" cellspacing="0" cellpadding="0" border="0" class="headerTable">          <tbody>           <tr>            <td> 
<table cellpadding="0" cellspacing="0" border="0" bordercolor="" width="100%" bgcolor=""><tr><td><table  width="100%" bgcolor="#ffffff" border="0" bordercolor="" cellpadding="5" cellspacing="0"><tr><td style="font-family:Arial; font-size:13px"><p style="margin-top: 0px; margin-bottom: 0px;" id="text-placeholder">             <style> &lt;!--  /* Font Definitions */ @font-face 	{font-family:&quot;Courier New&quot;; 	panose-1:2 7 3 9 2 2 5 2 4 4; 	mso-font-charset:0; 	mso-generic-font-family:auto; 	mso-font-pitch:variable; 	mso-font-signature:3 0 0 0 1 0;} @font-face 	{font-family:&quot;LS 明朝&quot;; 	panose-1:0 0 0 0 0 0 0 0 0 0; 	mso-font-charset:128; 	mso-generic-font-family:roman; 	mso-font-format:other; 	mso-font-pitch:fixed; 	mso-font-signature:1 134676480 16 0 131072 0;} @font-face 	{font-family:&quot;LS 明朝&quot;; 	panose-1:0 0 0 0 0 0 0 0 0 0; 	mso-font-charset:128; 	mso-generic-font-family:roman; 	mso-font-format:other; 	mso-font-pitch:fixed; 	mso-font-signature:1 134676480 16 0 131072 0;}  /* Style Definitions */ p.MsoNormal, li.MsoNormal, div.MsoNormal 	{mso-style-unhide:no; 	mso-style-qformat:yes; 	mso-style-parent:&quot;&quot;; 	margin:0in; 	margin-bottom:.0001pt; 	mso-pagination:widow-orphan; 	font-size:10.0pt; 	font-family:&quot;Courier New&quot;; 	mso-fareast-font-family:&quot;LS 明朝&quot;; 	mso-fareast-theme-font:minor-fareast; 	mso-bidi-font-family:&quot;Courier New&quot;;} .MsoChpDefault 	{mso-style-type:export-only; 	mso-default-props:yes; 	font-size:10.0pt; 	mso-ansi-font-size:10.0pt; 	mso-bidi-font-size:10.0pt; 	font-family:&quot;Courier New&quot;; 	mso-ascii-font-family:&quot;Courier New&quot;; 	mso-fareast-font-family:&quot;LS 明朝&quot;; 	mso-fareast-theme-font:minor-fareast; 	mso-hansi-font-family:&quot;Courier New&quot;; 	mso-bidi-font-family:&quot;Courier New&quot;;} @page WordSection1 	{size:8.5in 11.0in; 	margin:1.0in 1.0in 1.0in 1.0in; 	mso-header-margin:.5in; 	mso-footer-margin:.5in; 	mso-paper-source:0;} div.WordSection1 	{page:WordSection1;} --&gt; 
</style>       </p><p class="MsoNormal"><span style="">Hello all, <br /> <br /> Today we made a significant announcement about the next milestone in the delivery of mobile devices (based upon our Boot-to-Gecko project), including the confirmation of OEM partners that will work with Mozilla and Telefonica to bring the first devices to market. (URL pasted below). &nbsp;This announcement demonstrates great momentum for the project and a groundswell of support in the industry for our efforts. &nbsp;I know this progress has taken tremendous energy from many of you and many throughout our community - thank-you! &nbsp;<br /> <br /> Key highlights of this press release include the fact that we'll be using Firefox branding on this new mobile operating system (OS); the confirmation that we are on track with Telefonica, Qualcomm and the OEM partners to deliver the first devices in early 2013; and a number of new operator partners who are interested in supporting the Firefox OS at some point in the future.<br /> <br /> On the last item, please understand that this does not mean that all of the operators mentioned are committed to immediately delivering devices, but it does mean that we are in active discussions with them, and that they support our general strategic direction. It is important at this stage in our delivery that we not confuse the market by incorrectly stating the status of any of our partners or the delivery of various milestones of the project so I ask for your continued help to involve the project team and/or the press team before you comment (tweet, blog, etc) publicly. &nbsp;We just want to make sure we all comment accurately. &nbsp;<br /> <br /> We have the opportunity to do something truly disruptive and positive for consumers and the mobile industry with the Firefox OS, just like we did with the Firefox browser on the desktop. I hope that you all share my enthusiasm and I thank you in advance for your continued hard work!<br /> 
<br /> Best,<br /> Gary Kovacs<br /> <br /></span><a   title=" http://blog.mozilla.org/blog/2012/07/02/firefox-mobile-os/" href="http://click.e.mozilla.org/?qs=ae279cd30b52a46d97cd94632e3425cf559b2ec92d88c808e9d8d54d28bcf26f"> http://blog.mozilla.org/blog/2012/07/02/firefox-mobile-os/</a></p>&nbsp;</td></tr></table></td></tr></table>             <em>  You're receiving this email because you're a registered Mozillian.  We'll send you timely and occasional organizational news and updates - meant just for Mozillians.  If you do not wish to receive these updates, please unsubscribe   <a style="color: rgb(119, 119, 119);" class="greyLink" href="http://click.e.mozilla.org/?qs=ae279cd30b52a46de7ecc7e940e30e7767a84514cb3e6ab19782b11b9e146c41">here</a>. Read the <a style="color: rgb(119, 119, 119);" class="greyLink" href="http://click.e.mozilla.org/?qs=ae279cd30b52a46de2673f7320864faa2ca40069142da8653325ed74c2c878e8">Mozilla Privacy Policy</a>.</em>            <p></p>             <p class="address">Mozilla<br />            650 Castro Street, Suite 300<br />            Mountain View, CA 94041-2021<br />            (650)903-0800</p>            </td>           </tr>          </tbody>          </table>         </td>        </tr>       </tbody>      </table>      </td>     </tr>    </tbody>   </table> 
<img src="http://click.e.mozilla.org/open.aspx?ffcb10-feee1c787d6100-fe4d1c7970630c757410-fe9915707361037e75-ff2a16777261-fe5016777d60037b7313-ffcf14&d=40015" width="1" height="1">   </body></html></body></html>


*********
Comment 1 Ludovic Hirlimann [:Usul] 2012-07-02 13:05:14 PDT
http://www.hyperborea.org/journal/2005/10/thunderbird-scam-detection/ Look at the links.
Comment 2 David :Bienvenu 2012-07-02 13:17:39 PDT
yeah, it's mainly links that claim to go to one site, but the underlying url goes to a completely different site.
Comment 3 Winston Bowden 2012-07-02 13:22:36 PDT
Does this result in a lot of scam warnings?  Most large brands use systems similar to ExactTarget to deliver their opt-in email.  

For example, Zappos - http://click.email.zappos.com/?qs=cf8b386051cbfb0036c206fb4bbc9d2d44add1eb7675196ec3c894f566bd73f5793ad15671755c78

And Southwest:
http://luv.southwest.com/servlet/cc6?kOHpjQWADAQSVOpgklhgQIhOKLgxnuHptQJhuVaVWUVLuHptVOpgklhgQIhOKLgxnuHptQJhuVXLX

Would these links also trigger a scam warning?
Comment 4 David :Bienvenu 2012-07-02 16:55:52 PDT
if the title of the url is http://zappos.com but the actual link is click.email.zappos.com, that will generate a warning.
Comment 5 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2012-07-06 10:43:26 PDT
(In reply to David :Bienvenu from comment #4)
> if the title of the url is http://zappos.com but the actual link is
> click.email.zappos.com, that will generate a warning.

1) if its a subdomain, like the click.email.zappos.com example above, is it correct for Thunderbird to generate a warning like this, or should all subdomains with zappos.com be considered valid?

2) In the meanwhile, how can we change our communications email? Its embarrassing that Mozilla's email product (Thunderbird) flags Mozilla's marketing emails as a scam to Mozilla's users... how can we fix this?
Comment 6 Winston Bowden 2012-07-06 10:50:38 PDT
If we simply link text vs linking a URL, will that solve the problem?
Comment 7 Ludovic Hirlimann [:Usul] 2012-07-06 10:52:01 PDT
(In reply to John O'Duinn [:joduinn] from comment #5)
 
> 2) In the meanwhile, how can we change our communications email? Its
> embarrassing that Mozilla's email product (Thunderbird) flags Mozilla's
> marketing emails as a scam to Mozilla's users... how can we fix this?
sending proper links with say arguments ?cmapiang=email as what these links are made for is stats.

1) yes.
Comment 8 Ludovic Hirlimann [:Usul] 2012-07-06 10:52:57 PDT
(In reply to Winston Bowden from comment #6)
> If we simply link text vs linking a URL, will that solve the problem?

<a   title=" http://blog.mozilla.org/blog/2012/07/02/firefox-mobile-os/" href="http://blog.mozilla.org/blog/2012/07/02/firefox-mobile-os/"> http://blog.mozilla.org/blog/2012/07/02/firefox-mobile-os/</a>

This will work.
Comment 9 Winston Bowden 2012-07-18 19:30:17 PDT
I think we resolved this issue.  Closing out.  Thanks.
Comment 10 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2012-07-19 11:40:39 PDT
(In reply to Winston Bowden from comment #9)
> I think we resolved this issue.  Closing out.  Thanks.

very cool. thanks!

Note You need to log in before you can comment on or make changes to this bug.